%global pypi_name django-bootstrap-toolkit

Name:           python-%{pypi_name}
Version:        2.15.0
Release:        5%{?dist}
Summary:        Bootstrap support for Django projects

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{pypi_name}/%{version}
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?fedora} >= 18
Requires:       python-django
%else
Requires:       Django
%endif

%description
Django Toolkit for integration with Twitter's Bootstrap

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# correct file permissions
chmod ugo-x bootstrap_toolkit/static/datepicker/*/*datepicker.*


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc PKG-INFO
%{python_sitelib}/bootstrap_toolkit
%{python_sitelib}/django_bootstrap_toolkit-%{version}-py?.?.egg-info

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15.0-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.15.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jul 26 2013 Matthias Runge <mrunge@redhat.com> - 2.15.0-1
- update to 2.15.0 (rhbz#979596)

* Mon Jun 24 2013 Matthias Runge <mrunge@redhat.com> - 2.13.3-1
- update to 2.13.3 (rhbz#973551)

* Tue Jun 11 2013 Matthias Runge <mrunge@redhat.com> - 2.12.1-1
- update to 2.12.1 (rhbz#968427)

* Mon May 27 2013 Matthias Runge <mrunge@redhat.com> - 2.12.0-1
- update to 2.12.0 (rhbz#957654)

* Thu Apr 25 2013 Matthias Runge <mrunge@redhat.com> - 2.11.7-1
- update to 2.11.7 (rhbz#956014)

* Tue Apr 23 2013 Matthias Runge <mrunge@redhat.com> - 2.11.5-1
- update to 2.11.5 (rhbz#950385)

* Tue Apr 09 2013 Matthias Runge <mrunge@redhat.com> - 2.10.4-1
- update to 2.10.4 (rhbz#949466)

* Wed Apr 03 2013 Matthias Runge <mrunge@redhat.com> - 2.10.1-1
- update to upstream version 2.10.1 (rhbz#929414)
- remove .DS_Store-files from upstream

* Wed Feb 06 2013 Matthias Runge <mrunge@redhat.com> - 2.8.0-1
- update to upstream version 2.8.0 (rhbz#907386)

* Thu Jan 17 2013 Matthias Runge <mrunge@redhat.com> - 2.6.23-1
- update to upstream version 2.6.23 (rhbz#887480)

* Thu Dec 13 2012 Matthias Runge <mrunge@redhat.com> - 2.6.20-1
- update to upstream version 2.6.20 (rhbz#884446)

* Mon Nov 26 2012 Matthias Runge <mrunge@redhat.com> - 2.5.16-1
- update to upstream version 2.6.16 (rhbz#877377)

* Wed Nov 14 2012 Matthias Runge <mrunge@redhat.com> - 2.5.12-1
- update to upstream version 2.5.12 (rhbz#875799)

* Thu Oct 25 2012 Matthias Runge <mrunge@redhat.com> - 2.5.11-1
- update to upstream version 2.5.11 (bz. 869939)

* Thu Oct 18 2012 Matthias Runge <mrunge@redhat.com> - 2.5.10-1
- update to upstream version 2.5.10

* Tue Oct 09 2012 Matthias Runge <mrunge@redhat.com> - 2.5.9-1
- update to upstream version 2.5.9

* Thu Oct 04 2012 Matthias Runge <mrunge@redhat.com> - 2.5.8-1
- update to upstream version 2.5.8

* Tue Aug 21 2012 Matthias Runge <mrunge@matthias-runge.de> - 2.5.6-1
- Initial package.
